package com.huimv.eartag.monitor.dao;


import com.huimv.eartag.monitor.pojo.EartagData;
import com.huimv.eartag.monitor.pojo.Jqid;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;
import tk.mybatis.mapper.common.Mapper;

import java.util.List;

/****
 * @Author:shenkunlin
 * @Description:EartagData的Dao
 * @Date 2019/6/14 0:12
 *****/
public interface EartagDataMapper extends Mapper<EartagData> {


    //
    @Select("select  YDL  from eartag_data where eartag_id =#{eartagId} order by id DESC limit 1")
    Integer getDeviceIdByJQcode(@Param("eartagId") String eartagId);

    @Select("select   *  from eartag_data where id >190000    ")
    List<EartagData> getallData();


    @Select("select   *  from eartag_data where eartag_id =#{eartagId} order by id DESC limit 1")
    EartagData getDeviceData(@Param("eartagId") String eartagId);


    @Select("select   *  from eartag_data where eartag_id =#{eartagId} order by id DESC limit 5")
    List<EartagData> getDeviceDataLimitFive(@Param("eartagId") String eartagId);


}
